Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class DrawingSelectionRecord

    java.lang.Object
      org.apache.poi.hssf.record.Record
          org.apache.poi.hssf.record.AbstractEscherHolderRecord
              org.apache.poi.hssf.record.DrawingSelectionRecord

public class DrawingSelectionRecord
extends AbstractEscherHolderRecord

Field Summary
`static short` | `sid`

Constructor Summary
`DrawingSelectionRecord()`
`DrawingSelectionRecord(short id, short size, byte[] data)`
`DrawingSelectionRecord(short id, short size, byte[] data, int offset)`

Method Summary
`protected java.lang.String` | `getRecordName()`
`short` | `getSid()` return the non static version of the id for this record.

Methods inherited from class org.apache.poi.hssf.record.AbstractEscherHolderRecord
`addEscherRecord, addEscherRecord, clearEscherRecords, clone, fillFields, getEscherRecord, getEscherRecords, getRecordSize, serialize, toString, validateSid`

Methods inherited from class org.apache.poi.hssf.record.Record
`fillFields, isInValueSection, isValue, processContinueRecord, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### DrawingSelectionRecord

    public DrawingSelectionRecord()

### DrawingSelectionRecord

    public DrawingSelectionRecord(short id,
                                  short size,
                                  byte[] data)

### DrawingSelectionRecord

    public DrawingSelectionRecord(short id,
                                  short size,
                                  byte[] data,
                                  int offset)

Method Detail

### getRecordName

    protected java.lang.String getRecordName()

  Specified by:
    `getRecordName` in class `AbstractEscherHolderRecord`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `AbstractEscherHolderRecord`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation.